#version 460

layout(location = 0) in vec4 vertColor;
layout(location = 1) in vec2 vertTexCoords;

layout(location = 0) out vec4 fragColor;

layout(set = 2, binding = 0) uniform sampler2D Sampler;

void main() {
    fragColor = texture(Sampler, vertTexCoords) * vertColor;
}

